Results 1 to 3 of 3

Thread: ldap problem

  1. #1
    Join Date
    Oct 2008
    Posts
    5
    Rep Power
    7

    Default ldap problem

    I just got zimbra compiled and installed from source on FC8. Now when I try and start it up it has a problem initializing ldap. It seems as though it's missing a perl library called SaltedHash. I checked and it is installed on the system. Not sure why it's not working. Here is the error:

    Fri Oct 10 16:47:26 2008 zimbra-ldap is enabled
    Fri Oct 10 16:47:26 2008 Initializing ldap...
    Fri Oct 10 16:47:26 2008 *** Running as zimbra user: /opt/zimbra/libexec/zmldapinit
    Can't locate Crypt/SaltedHash.pm in @INC (@INC contains: /opt/zimbra/zimbramon/lib/i386-linux-thread-multi /opt/zimbra/zimbramon/lib/Zimbra/DB /opt/zimbra/zimbramon/lib/Zimbra/Mon /opt/zimbra/zimbramon/lib/Zimbra/SOAP /opt/zimbra/zimbramon/lib/i386-linux-thread-multi /opt/zimbra/zimbramon/lib /opt/zimbra/zimbramon/lib/x86_64-linux-thread-multi /opt/zimbra/zimbramon/lib/i486-linux-gnu-thread-multi /opt/zimbra/zimbramon/lib/i586-linux-thread-multi /opt/zimbra/zimbramon/lib/x86_64-linux-gnu-thread-multi /opt/zimbra/zimbramon/lib/darwin-thread-multi-2level /usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.7/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl/5.8.7 /usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.7/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl/5.8.7 /usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.8/i386-linux-thread-multi /usr/lib/perl5/5.8.8 .) at /opt/zimbra/libexec/zmldapinit line 34, line 275.
    BEGIN failed--compilation aborted at /opt/zimbra/libexec/zmldapinit line 34, line 275.
    Fri Oct 10 16:47:27 2008 failed. (512)
    Fri Oct 10 16:47:27 2008

    ERROR


    Any help would be much appreciated.

  2. #2
    dijichi2 is offline OpenSource Builder & Moderator
    Join Date
    Oct 2005
    Posts
    1,176
    Rep Power
    12

    Default

    possibly your system perl lib path isn't included in the zimbra one.

    what does

    perl -v

    return?

  3. #3
    Join Date
    Oct 2008
    Posts
    5
    Rep Power
    7

    Default

    You are correct, my new perl libraries were all being stored in the zimbra build directory and not in my acutal perl path. I moved them over to /usr/lib/perl5/5.8.8 and everything worked fine. I believe the problem was I never changed the BUILD_ROOT variable in /ThirdParty/Perl/MyConfig.pm, therefore it never moved these Perl libraries to the proper location.

Similar Threads

  1. upgrading from 5.0.4 to 5.0.5 opensource
    By smoke in forum Installation
    Replies: 4
    Last Post: 10-19-2008, 11:38 AM
  2. Replies: 8
    Last Post: 08-07-2008, 06:18 AM
  3. About external LDAP problem, urgent!
    By bylong in forum Administrators
    Replies: 5
    Last Post: 08-24-2007, 08:10 PM
  4. 3 testing: LDAP: 389 Failed when restore zimbra
    By victorLeong in forum Administrators
    Replies: 15
    Last Post: 05-24-2007, 07:45 AM
  5. External LDAP Problem
    By facerw in forum Installation
    Replies: 7
    Last Post: 05-08-2007, 05:29 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •